class ListNode
   {  private Object data;
      private ListNode nextNode;

     // constructors
        ListNode( Object object )
        { this( object, null ); }

        ListNode( Object object, ListNode node )
        {  data = object;  nextNode = node; }

     // accessors en mutators
        Object getData()
        { return data; }

        void setData(Object data)
        { this.data = data;}

        ListNode getNext()
        { return nextNode; }

        void setNext(ListNode node)
        { nextNode = node; }
   } // einde klasse ListNode
